
TYPO3.Neos - Bug # 52916

Status: Resolved Priority: Should have
Author: Fedir RYKHTIK Category:
Created: 2013-10-17 Assigned To:
Updated: 2013-12-13 Due date:
Subject: Installation error => Exception => Use of undefined constant LIBXML_PARSEHUGE
Description

Hi guys,

During TYPO3 Neos alpha 6 installation, I get an error :

Error: During the import of the "Sites.xml" from the package "TYPO3.NeosDemoTypo3Org" an exception occurred: Error: During
import an exception occurred. Notice: Use of undefined constant LIBXML_PARSEHUGE - assumed 'LIBXML_PARSEHUGE' in
/mnt/pcFedir/neos/trunk/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Neos_Domain_Service_SiteImportService.php line 93
ice_SiteImportService.php line 93

PHP version 5.3.18

Best regards,
Fedir

Associated revisions
Revision 16eb7f82 - 2013-12-13 16:31 - Christopher Hlubek

[BUGFIX] Add a safeguard to the LIBXML_PARSEHUGE constant

This change should fix problems with oder libxml versions not being
able to import the content.

Change-Id: Icc48a068770d1d1e511daafb3a2c5968f3ea5aa5
Fixes: #52916
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/26386
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Reviewed-by: Bastian Waidelich
Reviewed-by: Dominique Feyer
Tested-by: Dominique Feyer

Revision 9c0f8a5b - 2013-12-13 16:51 - Christopher Hlubek

[BUGFIX] Add a safeguard to the LIBXML_PARSEHUGE constant

This change should fix problems with oder libxml versions not being
able to import the content.

Change-Id: Icc48a068770d1d1e511daafb3a2c5968f3ea5aa5
Fixes: #52916
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/26386
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Reviewed-by: Bastian Waidelich
Reviewed-by: Dominique Feyer
Tested-by: Dominique Feyer
Reviewed-on: https://review.typo3.org/26387
Tested-by: Mr. Hudson

History
#1 - 2013-10-17 13:34 - Fedir RYKHTIK

Looks like it's a constant, which was added in libxml 2.7.0 and mine is 2.6.32. So, libxml should be at least 2.7.0.

Regrettably, it was not noted in requirements.

#2 - 2013-12-13 16:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26386

#3 - 2013-12-13 16:31 - Gerrit Code Review

Patch set 1 for branch 1.0 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26387

#4 - 2013-12-13 16:36 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:16eb7f8297a29ae19ddae0ce90debfdbf8794b65.
